--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Update record whose recno field equals index.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*index*:"
    body: Integer specifying recno you wish to select.
  - !ruby/struct:SM::Flow::LI 
    label: "*updates*:"
    body: Hash, Struct, or Array containing updates.
  type: :NOTE
full_name: KirbyBase::KBTable#[]=
is_singleton: false
name: "[]="
params: (index, updates)
visibility: public
